<script setup>
import {useMajorsStore} from "stores/majors";

const majorStore = useMajorsStore()
console.log('App setup')
majorStore.loadMajors()

</script>

<template>
  <div id="root">
    <router-view name="root"/>
  </div>
</template>

<style scoped lang="sass">
#root
  padding: 0
  display: flex
  flex-direction: column
  flex-wrap: wrap
  justify-content: space-around
  align-content: center
  height: 100%
  width: 100%
  flex-grow: 1
</style>

<style lang="sass">
#q-app
  display: flex
  flex-direction: column
  flex-grow: 1

</style>
